Index: mklist.f
===================================================================
--- mklist.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
+++ mklist.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,32 +1,32 @@
-c **************************************************************
-c
-c This file contains the subroutines: mklist,quench
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: mklist,quench
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       subroutine mklist(nml)
 
-c ......................................................................
-c PURPOSE: Compile interaction lists ('1-4' according to Scheraga)
-c
-c CALLS: quench
-c ......................................................................
-c TODO: Calculate van-der-Waals regions over all molecules.
+! ......................................................................
+! PURPOSE: Compile interaction lists ('1-4' according to Scheraga)
+!
+! CALLS: quench
+! ......................................................................
+! TODO: Calculate van-der-Waals regions over all molecules.
       include 'INCL.H'
 
       parameter (mxh=50,         ! max. # of atom regions
-     #           mx2=50)
+     &           mx2=50)
 
       logical ovlp,quench
 
       dimension l1st1(mxh),l1st2(mxh),l2nd1(mxh),l2nd2(mxh)
-     #         ,l1i(mxbd),l2i(mx2)
-
-c _______________________ indices of 1st vdw-region/14-partner for 'nml'
+     &         ,l1i(mxbd),l2i(mx2)
+
+! _______________________ indices of 1st vdw-region/14-partner for 'nml'
       if (nml.eq.1) then
         ivwml1(1)=1
@@ -40,5 +40,5 @@
       if (ntlms.eq.0) then
         write (*,'(a,i4)')
-     #           ' mklist> No mov. sets defined in molecule #',nml
+     &           ' mklist> No mov. sets defined in molecule #',nml
         nvwml(nml)=0
         n14ml(nml)=0
@@ -48,13 +48,13 @@
       nvw=ivwml1(nml)-1     ! # of vdw-regions we have so far
       n14=i14ml1(nml)-1     ! # of 14-partners      -"-
-c First atom in molecule
+! First atom in molecule
       ifiat=iatrs1(irsml1(nml))
-c Last atom in molecule
+! Last atom in molecule
       ilaat=iatrs2(irsml2(nml))
-c First variable in molecule
+! First variable in molecule
       ifivr=ivrml1(nml)
-c Last variable in molecule
+! Last variable in molecule
       ilavr=ifivr+nvrml(nml)-1
-c ____________________________ initialize: 1st vdw-region & 14-partner per atom 
+! ____________________________ initialize: 1st vdw-region & 14-partner per atom 
       do i=ifiat,ilaat
         ivwat1(i)=0         !!!  for some atoms ...
@@ -74,9 +74,9 @@
         if ((i2s-i1s+1).gt.0) then
 
-c ____________ exclude mov.sets of var. 'iv' from 1ST list of interact.partn.
+! ____________ exclude mov.sets of var. 'iv' from 1ST list of interact.partn.
           do is=i1s,i2s
             ovlp=quench(latms1(is),latms2(is),n1st,mxh,l1st1,l1st2)
           enddo
-c _______________________________ intitialize 2ND list with current 1ST list
+! _______________________________ intitialize 2ND list with current 1ST list
           do i=1,n1st
             l2nd1(i)=l1st1(i)
@@ -84,5 +84,5 @@
           enddo
           n2nd=n1st
-c _________________________________ exclude 'ib' of var. 'iv' from 2ND list
+! _________________________________ exclude 'ib' of var. 'iv' from 2ND list
           ib=iowat(iatvr(iv))
           ovlp=quench(ib,ib,n2nd,mxh,l2nd1,l2nd2)
@@ -94,13 +94,13 @@
             ovlp=quench(iob,iob,n2nd,mxh,l2nd1,l2nd2) ! & in 2ND list
 
-c _____ atoms branching from 'iob': into GENERAL list of 1-4 partners
+! _____ atoms branching from 'iob': into GENERAL list of 1-4 partners
             do i=1,nbdat(iob)
               ibd=ibdat(i,iob)
               if (ibd.ne.ib.and.iowat(ibd).eq.iob.and.
-     #            quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
+     &            quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
                 n2i=n2i+1
                 if (n2i.gt.mx2) then
                   write (*,'(a,i3,2a)')  ' mklist> Molecule # ',nml,
-     #                ': too many atoms bound to ',nmat(iob)
+     &                ': too many atoms bound to ',nmat(iob)
                   stop
                 endif
@@ -108,6 +108,6 @@
               endif
             enddo  ! ... branches of 'iob'
-c ____________________________ check for further '1-4' partners
-c                              connected to branches 'l2i'
+! ____________________________ check for further '1-4' partners
+!                              connected to branches 'l2i'
             do i=1,n2i
               ia=l2i(i)
@@ -116,9 +116,9 @@
                 do j=latms1(im),latms2(im)
                   if (ia.ne.j.and.
-     #                quench(j,j,n2nd,mxh,l2nd1,l2nd2) ) then
+     &                quench(j,j,n2nd,mxh,l2nd1,l2nd2) ) then
                     n2i=n2i+1
                     if (n2i.gt.mx2) then
                       write (*,'(a,i3,a)')  ' mklist> Molecule # '
-     #                         ,nml,': too many atoms in list L2I'
+     &                         ,nml,': too many atoms in list L2I'
                       stop
                     endif
@@ -129,5 +129,5 @@
             enddo
 
-c ____ If 'iow(iob)' exists and in 2ND list: into GENERAL list of 1-4 partners
+! ____ If 'iow(iob)' exists and in 2ND list: into GENERAL list of 1-4 partners
             ioiob=iowat(iob)    !  existence of iow( iow(base) )
             if (ioiob.gt.0) then
@@ -136,5 +136,5 @@
                 if (n2i.gt.mx2) then
                   write (*,'(a,i3,2a)')  ' mklist> Molecule # '
-     #             ,nml,': too many atoms bound to ',nmat(iob)
+     &             ,nml,': too many atoms bound to ',nmat(iob)
                   stop
                 endif
@@ -150,27 +150,27 @@
           endif
 
-c ______ Atoms bound to 'ib' & in 2ND list(=are NOT in m.s of 'iv'):
-c                    exclude from 2ND list & put in list 'l1i'
+! ______ Atoms bound to 'ib' & in 2ND list(=are NOT in m.s of 'iv'):
+!                    exclude from 2ND list & put in list 'l1i'
           n1i=0
           do i=1,nbdat(ib)
             ibd=ibdat(i,ib)
             if (iowat(ibd).eq.ib.and.
-     #        quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
+     &        quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
               n1i=n1i+1
               if (n1i.gt.mxbd) then
                 write (*,'(a,i3,2a)')  ' mklist> Molecule # ',nml,
-     #             ': too many atoms bound to ',nmat(ib)
+     &             ': too many atoms bound to ',nmat(ib)
                 stop
               endif
               l1i(n1i)=ibd
-c _______ add atoms branching from 'l1i'-atoms to GENERAL list 1-4 partners
+! _______ add atoms branching from 'l1i'-atoms to GENERAL list 1-4 partners
               do j=1,nbdat(ibd)
                 jbd=ibdat(j,ibd)
                 if (iowat(jbd).eq.ibd.and.
-     #              quench(jbd,jbd,n2nd,mxh,l2nd1,l2nd2) ) then
+     &              quench(jbd,jbd,n2nd,mxh,l2nd1,l2nd2) ) then
                   n2i=n2i+1
                   if (n2i.gt.mx2) then
                     write (*,'(a,i3,2a)')  ' mklist> Molecule # ',nml,
-     #              ': too many atoms bound to branches of ',nmat(ib)
+     &              ': too many atoms bound to branches of ',nmat(ib)
                     stop
                   endif
@@ -180,6 +180,6 @@
             endif
           enddo
-c _____________________________ check for further '1-4' partners
-c                               belonging to moving set of base 'ib'
+! _____________________________ check for further '1-4' partners
+!                               belonging to moving set of base 'ib'
           im=ixmsat(ib)
           if (im.gt.0) then
@@ -189,5 +189,5 @@
                 if (n2i.gt.mx2) then
                   write (*,'(a,i3,a)')  ' mklist> Molecule # ',nml,
-     #            ': too many atoms n list L2I '
+     &            ': too many atoms n list L2I '
                   stop
                 endif
@@ -199,8 +199,8 @@
           do is=i1s,i2s
             do i=latms1(is),latms2(is)  ! ============= atoms in m.s of 'iv'
-c ________________________________________ Current 2ND list -> VdW-interact.
+! ________________________________________ Current 2ND list -> VdW-interact.
               if ((nvw+n2nd).gt.mxvw) then
                 write (*,'(a,i4,a,i5)') ' mklist> Molecule # ',nml,
-     #            ': Number of vdw-domains > ',mxvw
+     &            ': Number of vdw-domains > ',mxvw
                 stop
               endif
@@ -213,5 +213,5 @@
                 lvwat2(nvw)=l2nd2(j)
               enddo  ! ... vdW-domains
-c _________________________________________ General list of 1-4 partners
+! _________________________________________ General list of 1-4 partners
               if ((n14+n2i).gt.mx14) goto 1
               i14at1(i)=n14+1
@@ -221,6 +221,6 @@
                 l14at(n14)=l2i(j)
               enddo
-c __________________________________ Special cases of 1-4 interactions
-c                                    (list l1i, atoms iob,ib)
+! __________________________________ Special cases of 1-4 interactions
+!                                    (list l1i, atoms iob,ib)
               iow=iowat(i)
               if (iow.ne.ib) then
@@ -253,5 +253,5 @@
       nvwml(nml)=nvw-ivwml1(nml)+1
       n14ml(nml)=n14-i14ml1(nml)+1
-c _________________________________ some cleaning up
+! _________________________________ some cleaning up
       do i=ifiat,ilaat
         if (ivwat1(i).le.0) then
@@ -265,42 +265,42 @@
       enddo
 
-c ____________________________________________ Summary
-c      do i=ifiat,ilaat
-c        write (*,'(3a,i5,a)') ' ######## atom ',nmat(i),'(',i,')'
-c        iv1=ivwat1(i)
-c        iv2=ivwat2(i)
-c        if (iv1.le.iv2) then
-c          write(*,'(a)') ' ---> vdW :'
-c          do j=iv1,iv2
-c            write (*,'(i5,a,i5)') lvwat1(j),'-',lvwat2(j)
-c          enddo
-c        endif
-c        i41=i14at1(i)
-c        i42=i14at2(i)
-c        if (i41.le.i42) then
-c          write(*,'(a)') ' ---> 1-4 :'
-c          write(*,'(10i5)') (l14at(j),j=i41,i42)
-c        endif
-c      enddo
+! ____________________________________________ Summary
+!      do i=ifiat,ilaat
+!        write (*,'(3a,i5,a)') ' ######## atom ',nmat(i),'(',i,')'
+!        iv1=ivwat1(i)
+!        iv2=ivwat2(i)
+!        if (iv1.le.iv2) then
+!          write(*,'(a)') ' ---> vdW :'
+!          do j=iv1,iv2
+!            write (*,'(i5,a,i5)') lvwat1(j),'-',lvwat2(j)
+!          enddo
+!        endif
+!        i41=i14at1(i)
+!        i42=i14at2(i)
+!        if (i41.le.i42) then
+!          write(*,'(a)') ' ---> 1-4 :'
+!          write(*,'(10i5)') (l14at(j),j=i41,i42)
+!        endif
+!      enddo
 
       return
 
     1 write (*,'(a,i4,a,i5)') ' mklist> Molecule # ',nml,
-     #                     ': Number of 1-4 interactions > ',mx14
+     &                     ': Number of 1-4 interactions > ',mx14
       stop
       end
-c *********************************************
+! *********************************************
       logical function quench(i1,i2,n,mx,l1,l2)
 
-c ....................................................
-c PURPOSE:  Correct size/number (n) of index ranges
-c           given by lists 'l1' & 'l2' in order to
-c           EXCLUDE overlaps with range 'i1-i2'
-c
-c           quench = true, if any overlap was obtained
-c
-c CALLS: none
-c
-c ....................................................
+! ....................................................
+! PURPOSE:  Correct size/number (n) of index ranges
+!           given by lists 'l1' & 'l2' in order to
+!           EXCLUDE overlaps with range 'i1-i2'
+!
+!           quench = true, if any overlap was obtained
+!
+! CALLS: none
+!
+! ....................................................
 
       implicit integer*4 (i-n)
